@mixin det-client-banner-theme($theme) {
    $primary: map-get($theme, primary);
    $warn: map-get($theme, warn);
    $accent: map-get($theme, accent);

.det-client-banner {
    display: flex;
    background-color: white;
    border: 2px solid mat-color($primary, 100);
    border-radius: 5px;
    padding: 5px 8px 5px 8px;
    margin-top: 0px;
    font-size: 0.9em;
    align-items: flex-start;
    width: 100%;

    span {
      display: flex;
      flex: auto;
      //margin-right: 15px;
      align-items: flex-end;
      align-self: center;
      flex-wrap: wrap;
    }

    .column-width {
        width: 30%;
    }

    .banner-row {
      width: 100%;
    }

    .mat-progress-bar {
        height: 10px;
        margin: 5px;
        margin-bottom: 2px;
    }

    .mat-button-wrapper {
      align-items: center;
    }
    
    button :hover {
      .mat-icon {
        color: mat-color($warn);
      }
    }
    
    .mat-flat-button {
      line-height: unset!important;
    }

    .navigation-link {
      align-self: center; 
      color: #337ab7;
    }
  }
}